(module serialize-env
   *
(import scheme
	z3
	base64
	chicken.port
	chicken.pretty-print
	chicken.process-context
	chicken.base
	)

(define (gen-output)
(let* ((env-str        (with-output-to-string (lambda () (pp (get-environment-variables)))))
       (zipped-env-str (z3:encode-buffer env-str))
       (b64-env-str    (base64-encode zipped-env-str)))
  (print b64-env-str))
)
)
(import serialize-env)
(gen-output)

